<header class="header">
    <h3 class="o-form__section-headline">Ihre Daten</h3>
</header>
<f:if condition="{renderMandatory}">
    <f:render arguments="{isCompany: 0}" partial="CourseregistrationForm/MandatoryHint"/>
</f:if>
<div class="o-form__item-group">
    <div class="o-form__item t-medium-12 columns">
        <label class="o-form__label o-form__label--select" for="p_anrede">Anrede<span class="nomust"></span></label>
        <f:form.select class="o-form__field o-form__field--select" id="p_anrede" name="anrede"
                       options="{prefix_array}" tabindex="1"/>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <label class="o-form__label o-form__label--select" for="p_titel">Titel<span class="nomust"></span></label>
        <f:form.select class="o-form__field o-form__field--select" id="p_titel" name="titel" options="{title_array}" tabindex="2"/>
    </div>
    <div class="o-form__item t-medium-12 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_vorname" name="vorname"
                          required="required" tabindex="3"
                          value=""/>
        <label class="o-form__label" for="p_vorname">Vorname<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_name" name="name" required="required"
                          value="" tabindex="4"/>
        <label class="o-form__label" for="p_name">Nachname<span class="must">*</span></label>
        <f:form.textfield name="birthname" value="" id="p_birthname" class="o-form__field o-form__field--text o-form__p_birthname" tabindex="-1" additionalAttributes="{autocomplete: 'off', aria-hidden: 'true'}"/>
        <label for="p_birthname" class="o-form__label">Geburtsname</label>
    </div>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_strasse" name="strasse"
                          required="required"
                          value="" tabindex="5"/>
        <label class="o-form__label" for="p_strasse">Straße / Nr.<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-4 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_plz" name="plz" required="required"
                          title="Postleitzahl fehlt!" value="" tabindex="6" pattern="[0-9]+" data="{parsley-error-message: 'Bitte eine korrekte PLZ eingeben!'}" additionalAttributes="{minlength: '5'}" maxlength="5"/>
        <label class="o-form__label" for="p_plz">PLZ<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-20 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_ort" name="ort" required="required"
                          value="" tabindex="7"/>
        <label class="o-form__label" for="p_ort">Stadt<span class="must">*</span></label>
    </div>
    <f:if condition="{aShowFields.Mobile}">
        <f:if condition="{settings.Required.mobile}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_mobile" name="mobile"
                                      required="required" type="tel"
                                      value="" tabindex="8" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_mobile">Mobil<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_mobile" name="mobile"
                                      value="" tabindex="8" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_mobile">Mobil</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
    <f:if condition="{aShowFields.Phone}">
        <f:if condition="{settings.Required.telefon}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_telefon" name="telefon"
                                      required="required" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"
                                      value="" tabindex="9" type="tel"/>
                    <label class="o-form__label" for="p_telefon">Telefon<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_telefon" name="telefon"
                                      value="" tabindex="9" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_telefon">Telefon</label>
                </div>
            </f:else>
        </f:if>


    </f:if>
    <f:if condition="{settings.Required.email}">
        <f:then>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" id="p_email" name="email"
                                  required="required" type="email"
                                  value="" tabindex="10"/>
                <label class="o-form__label" for="p_email">Mail<span class="must">*</span></label>
            </div>
        </f:then>
        <f:else>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" id="p_email" name="email" title="Mailadresse ist falsch!"
                                  value="" tabindex="10" type="email"/>
                <label class="o-form__label" for="p_email">Mail</label>
            </div>
        </f:else>
    </f:if>
    <f:if condition="{aShowFields.Reductions} && {aCourseData.reductions}">
        <f:then>
            <f:if condition="{aCourseData.reductions}">
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <label class="o-form__label o-form__label--select" for="course_reductions">Ermäßigung</label>
                    <f:form.select class="o-form__field o-form__field--select required" id="course_reductions"
                                   name="course_reductions" tabindex="11"
                                   optionLabelField="name" optionValueField="id" options="{aCourseData.reductions}"/>
                    <f:for as="reductions" each="{aCourseData.reductions}">
                        <f:form.hidden id="course_reduction_{reductions.id}" name="course_reduction_{reductions.id}"
                                       value="{reductions -> f:format.json()}"/>
                    </f:for>
                </div>
                <f:if condition="{settings.courseReductionMessage} != ''">
                    <div class="o-form__item t-medium-24 columns is-last-in-row">
                        <p>
                            <f:format.raw>{settings.courseReductionMessage}</f:format.raw>
                        </p>
                    </div>
                </f:if>

            </f:if>
        </f:then>
    </f:if>
</div>
